# Weakly Supervised Framework for Moving Object Detection

### Requirement
```
cd WeaklySupervisedMD
pip3 install -r requirements.txt
```

### Usage

- train
```
python3 code/tasks/train.py --model boosted_oicr --datase calipsa --nw 2 --lr 5e-5
```

- evaluate
```
python3 code/tasks/evaluate.py --model boosted_oicr --dataset calipsa --state_path [model state path] 
--iou_threshold 0.5 --test_count 2000 --min_size 20
```